TICKIT_TERM_PRINT(3)

NAME
tickit_term_print - send text to the terminal

SYNOPSIS
    #include <tickit.h>

    void tickit_term_print(TickitTerm *tt, const char *str);
    void tickit_term_printn(TickitTerm *tt, const char *str, size_t len);

    void tickit_term_printf(TickitTerm *tt, const char *fmt, ...);
    void tickit_term_vprintf(TickitTerm *tt, const char *fmt, va_list args);

Link with -ltickit.

DESCRIPTION
tickit_term_print() sends a string of text to the terminal to be printed at the current cursor location. The string must be free from any control characters. tickit_term_printn() sends a string at most len characters to be printed.

tickit_term_printf() sends a string of text built by formatting the given arguments in the same way that printf(3) does. tickit_term_vprintf() is similar, taking its arguments instead in a va_list as vprintf(3) does.

RETURN VALUE
tickit_term_print(), tickit_term_printf() and tickit_term_vprintf() return no value.

SEE ALSO
tickit_term_build(3), tickit_term_goto(3), tickit_term_setpen(3), tickit_term_chpen(3), tickit_term_erasech(3) tickit_term(7), tickit(7)